function fxDTSBrick::onSwallowPlayer(%this, %client) {
	$InputTarget_["Self"]   = %this;
	$InputTarget_["Player"] = %client.player;
	$InputTarget_["Client"] = %client;
	$InputTarget_["Bot"]    = %this.hbot;
	%this.processInputEvent("onSwallowPlayer");
}
registerInputEvent("fxDTSBrick", "onSwallowPlayer", "Self fxDTSBrick	Player Player	Client GameConnection	Bot Bot", 1);

function fxDTSBrick::onMouthPlayer(%this, %client) {
	$InputTarget_["Self"]   = %this;
	$InputTarget_["Player"] = %client.player;
	$InputTarget_["Client"] = %client;
	$InputTarget_["Bot"]    = %this.hbot;
	%this.processInputEvent("onMouthPlayer");
}
registerInputEvent("fxDTSBrick", "onMouthPlayer", "Self fxDTSBrick	Player Player	Client GameConnection	Bot Bot", 1);


function AIPlayer::goToBrick_Marc(%this, %brick) {
	if(!isObject(%obj = ("_" @ %brick))) return;
	%this.randomAI_goToBrick = %obj;
	%this.randomAI_goToBrick.getting = %obj;
}
registerOutputEvent(Bot,"goToBrick_Marc","string 60 200");

function AIPlayer::addToTrust(%this, %trust) {
	if(isObject(findClientByName(%trust))) %trust = findClientByName(%trust);
	if(isObject(findClientByBL_ID(%trust))) %trust = findClientByBL_ID(%trust);
	if(!isObject(%trust)) { echo("addTrustList - Failed to add: \"Object does not exist\""); return; }
	if(%trust.getClassName() $= "GameConnection") {
		if(%this.trustsObj(%trust)) { echo("addTrustList - Failed to add: \"Client already in trust list\""); return; }
		%this.trustList = trim(%this.trustList SPC %trust);
		return;
	}
	if(!isObject(%trust.hBot)) { echo("addTrustList - Failed to add: \"Bot does not exist\""); return; }
	if(%this.trustsObj(%trust.hBot)) { echo("addTrustList - Failed to add: \"Bot is already in trust list\""); return; }
	%this.trustList = trim(%this.trustList SPC %trust.hBot);
}
registerOutputEvent(Bot,"addToTrust","string 100 200");

function AIPlayer::setBotInfo(%this, %name, %size) {
	%this.setShapeName(%name, 8564862);
	%this.setPlayerScale(%size);
}
registerOutputEvent(Bot,"setBotInfo","string 100 200	int 1 15");

function AIPlayer::setAntiSocial(%this, %bool) {
	%this.antiSocial = %bool;
}
registerOutputEvent(Bot,"setAntiSocial","bool");



registerOutputEvent(Bot,"say","string 60 200");
registerOutputEvent(Bot,"loopMarcAI","string 20 200	string 11 30	string 20 90	bool");
registerOutputEvent(fxDTSBrick,"addEnergyToPlayer","",1);
registerOutputEvent(fxDTSBrick,"startSwallow","",1);